Modify

Opened 5 years ago

Closed 5 years ago

#13008 closed task (invalid)

new platform DIR-615 K2 dir 615 k2

Reported by: oferchen@… Owned by: developers
Priority: normal Milestone: Features Paradise
Component: base system Version: Trunk
Keywords: DIR 615 K2 dir 615 k2 Cc:

Description

Serial Console Output

minicom -D /dev/ttyUSB0


Welcome to minicom 2.5

OPTIONS: I18n 
Compiled on Jan 14 2012, 12:40:23.
Port /dev/ttyUSB0

Press CTRL-A Z for help on special keys                                                 
                                                                                        
Decompressing...done                                                                    
                                                                                        
                                                                                        
CFE version 5.100.138.9 based on BBP 1.0.37 for BCM947XX (32bit,SP,LE)
Build Date: �.�.�. �.�.�� 19 11:45:19 UTC 2012 (legath@desk)
Copyright (C) 2000-2008 Broadcom Corporation.

Init Arena
Init Devs.
Boot partition size = 131072(0x20000)
Found an ST compatible serial flash with 64 64KB blocks; total size 4MB
et0: Broadcom BCM47XX 10/100/1000 Mbps Ethernet Controller 5.100.138.9
CPU type 0x19749: 300MHz
Tot mem: 32768 KBytes

CFE mem:    0x80700000 - 0x80798090 (622736)
Data:       0x8072DEF0 - 0x80731110 (12832)
BSS:        0x80731110 - 0x80732090 (3968)
Heap:       0x80732090 - 0x80796090 (409600)
Stack:      0x80796090 - 0x80798090 (8192)
Text:       0x80700000 - 0x8072DEE4 (188132)

Device eth0:  hwaddr 90-94-E4-B3-D5-66, ipaddr 192.168.0.1, mask 255.255.255.0
        gateway not set, nameserver not set

Loader:raw Filesys:tftp Dev:eth0 File:: Options:(null)
Loading: Failed.
Could not load :: Timeout occured
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: ..... 2699398 bytes read
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
Linux version 2.6.22 (builder@rd) (gcc version 4.2.4) #1 Tue Jul 3 11:36:41 MSK 2012
CPU revision is: 00019749
Found an ST compatible serial flash with 64 64KB blocks; total size 4MB
Determined physical RAM map:
 memory: 01000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Built 1 zonelists.  Total pages: 4064
Kernel command line: root=/dev/mtdblock2 console=ttyS0,115200 init=/sbin/preinit
Primary instruction cache 32kB, physically tagged, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, linesize 32 bytes.
Synthesized TLB refill handler (20 instructions).
Synthesized TLB load handler fastpath (32 instructions).
Synthesized TLB store handler fastpath (32 instructions).
Synthesized TLB modify handler fastpath (31 instructions).
PID hash table entries: 64 (order: 6, 256 bytes)
CPU: BCM53572 rev 1 at 300 MHz
Using 150.000 MHz high precision timer.
Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
Memory: 13444k/16384k available (2013k kernel code, 2940k reserved, 438k data, 184k init, 0k highmem)
Mount-cache hash table entries: 512
NET: Registered protocol family 16
PCI: no core
PCI: no core
PCI: Fixing up bus 0
NET: Registered protocol family 2
Time: MIPS clocksource has been installed.
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 512 (order: 0, 4096 bytes)
TCP bind hash table entries: 512 (order: -1, 2048 bytes)
TCP: Hash tables configured (established 512 bind 512)
TCP reno registered
squashfs: version 3.4 (2008/08/26) Phillip Lougher
squashfs: LZMA suppport for slax.org by jro
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
Serial: 8250/16550 driver $Revision: 1.1.1.1 $ 1 ports, IRQ sharing disabled
Serial8250: ttyS0 at MMIO 0x0 (irq = 8) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
PPP generic driver version 2.4.2
PPP MPPE Compression module registered
NET: Registered protocol family 24
PPPoL2TP kernel driver, V0.17
PPTP driver version 0.8.5
Boot partition size = 131072(0x20000)
sflash: squash filesystem with lzma found at block 16
Creating 5 MTD partitions on "sflash":
0x00000000-0x00020000 : "boot"
0x00020000-0x003e0000 : "Linux"
0x00107374-0x003e0000 : "rootfs"
0x003e0000-0x003f0000 : "rgdb"
0x003f0000-0x00400000 : "nvram"
Netfilter messages via NETLINK v0.30.
nf_conntrack version 0.5.0 (128 buckets, 1024 max)
ip_tables: (C) 2000-2006 Netfilter Core Team
arp_tables: (C) 2002 David S. Miller
TCP cubic registered
NET: Registered protocol family 1
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly.
Freeing unused kernel memory: 184k freed
Failed to execute /init
Failed to execute /sbin/preinit.  Attempting defaults...
D-link init started
Readind config from flash...
result read config from flash is 2
Use /etc/config.default
Lenght of avalible memory for title 142 bytes
environ TERM=vt100
environ HOME=/
environ PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin
environ LD_LIBRARY_PATH=/lib:/lib/private:/usr/lib
environ SHELL=/bin/sh
environ USER=root
resident starting...
count_detected_rpc = 82
  1. rpc -   0, type -  2, flags - 0x0000, glocks - 0x0000, version -   0,  soname - "somovd", fname - "InternalAction"
  2. rpc -  88, type -  3, flags - 0x0002, glocks - 0x0000, version -   1,  soname - "/lib/private/libcommon.so", fname - "SetProxyAddr"
  3. rpc -  19, type -  3, flags - 0x0002, glocks - 0x0000, version -   1,  soname - "/lib/private/libcommon.so", fname - "GetConfigStatus"
  4. rpc -   6, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libcommon.so", fname - "Reboot"
  5. rpc -  25, type -  3, flags - 0x0001, glocks - 0x0000, version -   1,  soname - "/lib/private/libcommon.so", fname - "DataUpload"
  6. rpc -  26, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libcommon.so", fname - "DataDownload"
  7. rpc -  46, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libcommon.so", fname - "conf_arp"
  8. rpc - 145, type -  4, flags - 0x0000, glocks - 0x0000, version -   3,  soname - "/lib/private/libcommon.so", fname - "conf_ping"
  9. rpc - 163, type -  4, flags - 0x0000, glocks - 0x0000, version -   3,  soname - "/lib/private/libcommon.so", fname - "salt_conf"
 10. rpc - 166, type -  4, flags - 0x0000, glocks - 0x0000, version -   3,  soname - "/lib/private/libcommon.so", fname - "conf_traceroute"
 11. rpc -  33, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libcommon.so", fname - "route_table"
 12. rpc - 143, type -  4, flags - 0x0000, glocks - 0x0000, version -   3,  soname - "/lib/private/libcommon.so", fname - "conf_web_profiles"
 13. rpc -   8, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "SaveAndReboot"
 14. rpc -  20, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "save_config"
 15. rpc -   9, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "ResetToDefault"
 16. rpc -  10, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "ResetAndReboot"
 17. rpc -  11, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "RestoreConfig"
 18. rpc -  98, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "RestoreConfigFile"
 19. rpc -  12, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "BackupConfig"
 20. rpc -  93, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "BackupConfigFile"
 21. rpc -  13, type -  3, flags - 0x0001, glocks - 0x0000, version -   2,  soname - "/lib/private/libconfig.so", fname - "FirmwareUpload"
 22. rpc -  14, type -  3, flags - 0x0001, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "FirmwareUpdate"
 23. rpc -  40, type -  3, flags - 0x0001, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "FirmwareRemoteUpdate"
 24. rpc -  38, type -  3, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "CheckDefaultPass"
 25. rpc -  41, type -  3, flags - 0x0002, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "CheckDefaultConf"
 26. rpc -  34, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "dhcp_leases"
 27. rpc -   1, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wan_conf"
 28. rpc - 161, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wan_conf"
 29. rpc -  28, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wan_conf"
 30. rpc -   6, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "ddns_conf"
 31. rpc -   7, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "dns_conf"
 32. rpc -  10, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "vservers_conf"
 33. rpc -  16, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "vservers_conf"
 34. rpc -  23, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "vservers_conf"
 35. rpc -  17, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "routing_conf"
 36. rpc -  35, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 37. rpc -  36, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 38. rpc -  37, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 39. rpc -  38, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 40. rpc -  39, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 41. rpc -  40, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 42. rpc -  41, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 43. rpc -  42, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 44. rpc -  44, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 45. rpc - 105, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 46. rpc - 106, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 47. rpc - 107, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 48. rpc - 158, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 49. rpc - 159, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 50. rpc - 160, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 51. rpc -  64, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 52. rpc - 108, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 53. rpc - 109, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 54. rpc - 110, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 55. rpc - 111, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 56. rpc - 133, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wifi_conf"
 57. rpc -  72, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "urlfilter_conf"
 58. rpc -  71, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "urlfilter_conf"
 59. rpc -  60, type -  4, flags - 0x0002, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "apprules_conf"
 60. rpc -  68, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "igmp_conf"
 61. rpc -  66, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "upnp_conf"
 62. rpc -  67, type -  4, flags - 0x0002, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "dev_info_conf"
 63. rpc - 148, type -  4, flags - 0x0000, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "dev_info_conf"
 64. rpc -  73, type -  4, flags - 0x0002, glocks - 0x0000, version -   1,  soname - "/lib/private/libconfig.so", fname - "scheduler_conf"
 65. rpc -  74, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "macfilter_conf"
 66. rpc -  69, type -  4, flags - 0x0000, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "pass_conf"
 67. rpc - 112, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "device_params_conf"
 68. rpc - 171, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "device_params_conf"
 69. rpc -  87, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "get_ifaces_name"
 70. rpc -  88, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "conf_ipfilter"
 71. rpc - 104, type -  4, flags - 0x0000, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "stats"
 72. rpc - 119, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "vlan_conf"
 73. rpc - 120, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wan_ifaces_list"
 74. rpc -  62, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "set_default_route"
 75. rpc - 121, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wan_ifaces_list"
 76. rpc - 122, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "wan_conf"
 77. rpc - 103, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "ifaces_stats"
 78. rpc -  65, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "ntpclient_conf"
 79. rpc - 130, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "conf_log"
 80. rpc -  63, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "conf_log"
 81. rpc - 129, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "get_port_status"
 82. rpc - 152, type -  4, flags - 0x0002, glocks - 0x0000, version -   3,  soname - "/lib/private/libconfig.so", fname - "conf_telnetd"
Event pipe size is 4096 bytes
Initializing device...
watchdog: child process
===INIT_DEVICE===
res = 1
Config is good
Check SSID
Do preinit ifaces
bdcfg: No such file or directory
macbuf = 90:94:E4:B3:D5:66
set il0macaddr
board_type_l  = 0x058e
init_device: parent process, wait child
et: module license 'Proprietary' taints kernel.
eth0: Broadcom BCM47XX 10/100/1000 Mbps Ethernet Controller 5.100.138.9 (WLTEST)
Set mac 90:94:E4:B3:D5:66 on iface eth0 - OK
eth1: Broadcom BCM4329 802.11 Wireless Controller 5.100.138.9 (WLTEST)
iface: eth1
device eth1 entered promiscuous mode
iface: eth0.1eth0.1: dev_set_promiscuity(master, 1)

device eth0 entered promiscuous mode
device eth0.1 entered promiscuous mode
br0: port 2(eth0.1) entering learning state
br0: port 1(eth1) entering learning state
bdcfg: No such file or directory
COEX: downgraded chanspec 0x2e04 to 0x2b06: channel 1 used by exiting BSSs 
COEX: downgraded chanspec 0x2e09 to 0x2b0b: channel 6 used by exiting BSSs 
EAP Dispatch Start...
allocated EAPD workspace
add one interface cb for br0
NAS:ignored interface eth1. Invalid NAS mode
init brcm interface br0 
Not found brcm interface br0
br0: BRCM socket 4 opened
WPS appSocket 5 opened
No any NAS application need to run.
No any SES application need to run
Set event_msg bitvec [6 8 10 12 25 44] on wl0[eth1]
Configuring BCM5325 vlan...
deleting ifaces...
-vlan iface - eth0.1
br0: port 2(eth0.1) entering disabled state
device eth0.1 left promiscuous mode
br0: port 2(eth0.1) entering disabled state
-vlan iface - wan1
-bridge - br0
br0: port 1(eth1) entering disabled state
device eth1 left promiscuous mode
br0: port 1(eth1) entering disabled state
wan vid: 0, lan_vid: 1
creating wan iface...
bdcfg: No such file owan1: Setting MAC address to r directory
 90 94 e4 b3 d5 67.
Set mac 90:94:E4:B3:D5:67 on iface wan1 - OK
creating lan ifacedevice eth1 entered promiscuous mode
...
br0: port 1(eth1) entering learning state
vlan table value 0x10013ef
br0: port 2(eth0.1) entering learning state
creating "transparent" & "tag nat" groups...
Do clear ifaces
bdcfg: No such file or directory
set mac 90:94:E4:B3:D5:66 on br0
bdcfg: No such file or directory
set mac 90:94:E4:B3:D5:67 on wan1
Have lan_array
init_lan: iface = br0
start_ip: static ipv4
init ipfilter
init vserver
init macfilter
start urlfilter
init wans
Intialize wan.....
start_wan_link_on_l2 - Up iface br0
start_wan_link_on_l2 - iface br0 is not wan, pass it
start_wan_link_on_l2 - Up iface wan1
start_ip: dhcp ipv4
start_wan_link_on_l2 - Iface wan1 is up
start ddns
info, udhcp client (v0.9.8) started (iface: wan1, connect: 1)
udhcp client (v0.9.8) started (iface: wan1, connect: 1)
debug, interface wan1 index 7
debug, interface wan1 hwaddr 90:94:e4:b3:d5:67
debug, interface wan1 mtu is 1500

error, options_list_init_json: can't open "udhcpc/options"
error, fill_json: can't open "udhcpc/options"
debug, execle'ing /tmp/udhcpc with name deconfig
start services
start_telnet...
debug, Opening raw socket on ifindex 7

Out init_device
init_device:  pid_status(WEXITSTATUS) = 0
Done.
Welcome to
     _______          ___     __  ____   _  _   ___
    |  ___  \        |   |   |__||    \ | || | /  /
    | |   | ||  ___  |   |__  __ |     \| || |/  /
    | |___| || |___| |      ||  || |\     ||     \
    |_______/        |______||__||_| \____||_|\___\

                     = Building Networks for People =

D-link init done
info, Sending discover...
info, Sending discover...
info, Sending discover...
br0: topology change detected, propagating
br0: port 1(eth1) entering forwarding state
br0: topology change detected, propagating
br0: port 2(eth0.1) entering forwarding state
info, Sending discover...
info, Sending discover...
info, Sending discover...

CPU

$ cat /proc/cpuinfo 
system type             : Broadcom BCMD144 chip rev 1
processor               : 0
cpu model               : MIPS 74K V4.9
BogoMIPS                : 149.91
wait instruction        : no
microsecond timers      : yes
tlb_entries             : 32
extra interrupt vector  : no
hardware watchpoint     : yes
ASEs implemented        : mips16 dsp
VCED exceptions         : not available
VCEI exceptions         : not available

unaligned_instructions  : 1
dcache hits             : 2147483648
dcache misses           : 4244565503
icache hits             : 2147483648
icache misses           : 4294898166
instructions            : 2147483648

PCI bus

$ lspci
00:04.0 Class ffff: 14e4:0835
00:02.0 Class 0200: 14e4:4715
00:01.0 Class 0280: 14e4:4329
00:00.0 Class 0501: 14e4:0800

NVRAM Dump

$ nvram show
11b=17dBm 
11g=15dBm 
antswctl2g=0x1
boardflags=0x710
boardflags2=0x9000
boardnum=0015
boardrev=0x1153
boardtype=0x058e
boot_wait=on
clkfreq=300,150,75
country_code=RU
et0macaddr=C8:BE:19:AF:06:46
et0mdcport=0
et0phyaddr=30
gpio20=wps_button
gpio7=wps_led
HT20=15dBm 
HT40=13dBm
hwrev=1B1G
il0macaddr=C8:BE:19:AF:06:46
lan1_wps_oob=disabled
lan1_wps_reg=enabled
landevs=vlan1 wl0
lan_ifname=br0
lan_ifnames=eth1 eth0.1
lan_ifnames_t=eth1 eth0.1
lan_ipaddr=192.168.0.1
lan_netmask=255.255.255.0
lan_wps_oob=disabled
lan_wps_reg=enabled
no_br=0
pin=37640774
pmon_ver=CFE 5.100.138.9
reset_gpio=21
restore_defaults=1
sb/1/aa2g=0x3
sb/1/ag0=0x2
sb/1/ag1=0x2
sb/1/ag2=0x2
sb/1/ag3=0xff
sb/1/antswctl2g=0x1
sb/1/antswitch=0x0
sb/1/boardflags=0x710
sb/1/boardflags2=0x9000
sb/1/bw40po=0x0
sb/1/bwduppo=0x0
sb/1/bxa2g=0x3
sb/1/cck2gpo=0x3333
sb/1/ccode=0
sb/1/cddpo=0x0
sb/1/devid=0x4329
sb/1/extpagain2g=0x2
sb/1/itt2ga0=0x20
sb/1/itt2ga1=0x20
sb/1/ledbh0=11
sb/1/ledbh1=11
sb/1/ledbh2=11
sb/1/ledbh3=11
sb/1/ledbh5=2
sb/1/ledbh6=2
sb/1/leddc=0xffff
sb/1/macaddr=C8:BE:19:AF:06:46
sb/1/maxp2ga0=0x4C
sb/1/maxp2ga1=0x4C
sb/1/mcs2gpo0=0x6666
sb/1/mcs2gpo1=0x6666
sb/1/mcs2gpo2=0x6666
sb/1/mcs2gpo3=0x6666
sb/1/mcs2gpo4=0x7777
sb/1/mcs2gpo5=0x7777
sb/1/mcs2gpo6=0x7777
sb/1/mcs2gpo7=0x7777
sb/1/ofdm2gpo=0x66666666
sb/1/opo=0x0
sb/1/pa2gw0a0=0xFEC1
sb/1/pa2gw0a1=0xFEC5
sb/1/pa2gw1a0=0x1455
sb/1/pa2gw1a1=0x1517
sb/1/pa2gw2a0=0xFB3E
sb/1/pa2gw2a1=0xFB18
sb/1/pdetrange2g=0x2
sb/1/regrev=0
sb/1/rssisav2g=0x7
sb/1/rssismc2g=0xf
sb/1/rssismf2g=0xf
sb/1/rxchain=0x3
sb/1/rxpo2g=0xff
sb/1/sromrev=8
sb/1/stbcpo=0x0
sb/1/temps_hysteresis=5
sb/1/temps_period=5
sb/1/tempthresh=120
sb/1/tri2g=0xff
sb/1/triso2g=0x5
sb/1/tssipos2g=0x1
sb/1/txchain=0x3
sdram_config=0x103
sdram_init=0x0000
sdram_ncdl=0x00000000
sdram_refresh=0x0000
size: 5586 bytes (27182 left)
vlan1hwname=et0
vlan1ports=0 1 2 3 5*
vlan2hwname=et0
vlan2ports=4 5
wait_time=3
wandevs=vlan2
watchdog=0
wl0.10_hwaddr=CA:BE:19:AF:06:40
wl0.11_hwaddr=CA:BE:19:AF:06:41
wl0.12_hwaddr=CA:BE:19:AF:06:42
wl0.13_hwaddr=CA:BE:19:AF:06:43
wl0.14_hwaddr=CA:BE:19:AF:06:44
wl0.15_hwaddr=CA:BE:19:AF:06:45
wl0.1_hwaddr=CA:BE:19:AF:06:47
wl0.2_hwaddr=CA:BE:19:AF:06:48
wl0.3_hwaddr=CA:BE:19:AF:06:49
wl0.4_hwaddr=CA:BE:19:AF:06:4A
wl0.5_hwaddr=CA:BE:19:AF:06:4B
wl0.6_hwaddr=CA:BE:19:AF:06:4C
wl0.7_hwaddr=CA:BE:19:AF:06:4D
wl0.8_hwaddr=CA:BE:19:AF:06:4E
wl0.9_hwaddr=CA:BE:19:AF:06:4F
wl0_akm=
wl0_ampdu=auto
wl0_ampdu_rr_rtylimit_tid=2 2 2 2 2 2 2 2
wl0_ampdu_rtylimit_tid=5 5 5 5 5 5 5 5
wl0_amsdu=auto
wl0_antdiv=-1
wl0_ap_isolate=0
wl0_auth=0
wl0_auth_mode=none
wl0_bcn=100
wl0_bcn_rotate=1
wl0_bss_enabled=1
wl0_bss_maxassoc=64
wl0_channel=0
wl0_closed=0
wl0_corerev=28
wl0_country_code=RU
wl0_crypto=tkip+aes
wl0_dfs_postism=60
wl0_dfs_preism=60
wl0_dtim=1
wl0_frag=2346
wl0_frameburst=off
wl0_gmode=1
wl0_gmode_protection=auto
wl0_hwaddr=C8:BE:19:AF:06:46
wl0_hw_rxchain=3
wl0_hw_txchain=3
wl0_ifname=eth1
wl0_infra=1
wl0_key=1
wl0_key1=
wl0_key2=
wl0_key3=
wl0_key4=
wl0_lazywds=0
wl0_leddc=0x640000
wl0_maclist=
wl0_macmode=disabled
wl0_maxassoc=0
wl0_mcast_regen_bss_enable=1
wl0_mode=ap
wl0_mrate=12000000
wl0_nas_dbg=0
wl0_nband=2
wl0_nbw_cap=1
wl0_nctrlsb=lower
wl0_net_reauth=36000
wl0_nmcsidx=-1
wl0_nmode=1
wl0_nreqd=
wl0_obss_coex=0
wl0_phytype=n
wl0_phytypes=n
wl0_plc=0
wl0_plcphdr=short
wl0_pwr_percent=100
wl0_radarthrs=0 0x6a8 0x6c8 0x6ac 0x6c7
wl0_radio=1
wl0_radioids=BCM2057
wl0_radio_pwrsave_enable=0
wl0_radio_pwrsave_level=0
wl0_radio_pwrsave_pps=10
wl0_radio_pwrsave_quiet_time=1800
wl0_radio_pwrsave_stas_assoc_check=0
wl0_radius_ipaddr=
wl0_radius_key=
wl0_radius_port=1812
wl0_rate=0
wl0_rateset=12
wl0_reg_mode=off
wl0_rifs_advert=auto
wl0_rts=2347
wl0_rxchain=3
wl0_rxchain_pwrsave_enable=1
wl0_rxchain_pwrsave_pps=10
wl0_rxchain_pwrsave_quiet_time=1800
wl0_rxchain_pwrsave_stas_assoc_check=0
wl0_rxstreams=0
wl0_ssid=DIR-615
wl0_sta_retry_time=5
wl0_stbc_rx=1
wl0_stbc_tx=auto
wl0_txchain=3
wl0_txstreams=0
wl0_unit=0
wl0_version=5.100.138.9
wl0_vlan_prio_mode=off
wl0_wds=
wl0_wds_timeout=1
wl0_wep=disabled
wl0_wfi_enable=0
wl0_wfi_pinmode=0
wl0_wme_ap_be=15 63 3 0 0 off off
wl0_wme_ap_bk=15 1023 7 0 0 off off
wl0_wme_apsd=on
wl0_wme_ap_vi=7 15 1 6016 3008 off off
wl0_wme_ap_vo=3 7 1 3264 1504 off off
wl0_wme_bss_disable=0
wl0_wme_no_ack=off
wl0_wme=on
wl0_wme_sta_be=15 1023 3 0 0 off off
wl0_wme_sta_bk=15 1023 7 0 0 off off
wl0_wme_sta_vi=7 15 2 6016 3008 off off
wl0_wme_sta_vo=3 7 2 3264 1504 off off
wl0_wme_txp_be=7 3 4 2 0
wl0_wme_txp_bk=7 3 4 2 0
wl0_wme_txp_vi=7 3 4 2 0
wl0_wme_txp_vo=7 3 4 2 0
wl0_wmf_bss_enable=1
wl0_wpa_gtk_rekey=3600
wl0_wpa_psk=
wl0_wps_config_state=0
wl0_wps_mode=enabled
wl0_wps_reg=enabled
wl_akm=
wl_auth=0
wl_auth_mode=none
wl_bcn=100
wl_bss_maxassoc=0
wl_channel=0
wl_closed=0
wl_country_code=RU
wl_dtim=1
wl_frag=2346
wl_gmode=1
wl_macmode=disabled
wl_maxassoc=0
wl_msglevel=0x1
wl_nbw_cap=1
wl_nctrlsb=lower
wl_nmode=1
wl_nreqd=
wl_obss_coex=0
wl_plcphdr=short
wl_pwr_percent=100
wl_radio=1
wl_reg_mode=off
wl_rts=2347
wl_ssid=DIR-615
wl_wep=disabled
wl_wme=on
wl_wpa_gtk_rekey=3600
wl_wps_config_state=0
wl_wps_mode=enabled
wl_wps_reg=enabled
wps_config_command=0
wps_config_state=0
wps_currentband=
wps_device_name=BroadcomAP
wps_device_pin=37640774
wps_method=2
wps_mfstring=Broadcom
wps_mode=enabled
wps_modelname=Broadcom
wps_modelnum=123456
wps_proc_mac=
wps_proc_status=0
wps_restart=0
wps_sta_devname=
wps_sta_mac=
wps_sta_pin=00000000
wps_status=0
wps_timeout_enable=0
wps_uuid=0x000102030405060708090a0b0c0d0ebb
wps_version2=enabled
wps_wer_mode=allow
xtalfreq=20000

Attachments (0)

Change History (7)

comment:1 Changed 5 years ago by hauke

  • Resolution set to too_vague
  • Status changed from new to closed

From want information you gave OpenWrt should support this device more or less.

comment:2 follow-up: Changed 5 years ago by oferchen@…

OpenWRT (trunk 2012-12-23)

Init Arena
Init Devs.
Boot partition size = 131072(0x20000)
Found an ST compatible serial flash with 64 64KB blocks; total size 4MB
et0: Broadcom BCM47XX 10/100/1000 Mbps Ethernet Controller 5.100.138.9
CPU type 0x19749: 300MHz
Tot mem: 32768 KBytes

CFE mem:    0x80700000 - 0x80798090 (622736)
Data:       0x8072DEF0 - 0x80731110 (12832)
BSS:        0x80731110 - 0x80732090 (3968)
Heap:       0x80732090 - 0x80796090 (409600)
Stack:      0x80796090 - 0x80798090 (8192)
Text:       0x80700000 - 0x8072DEE4 (188132)

Device eth0:  hwaddr 90-94-E4-B3-D5-66, ipaddr 192.168.0.1, mask 255.255.255.0
        gateway not set, nameserver not set

Loader:raw Filesys:tftp Dev:eth0 File:: Options:(null)
Loading: ... 2953216 bytes read
Entry at 0x80798090
Reading from 0x80798090: Programming...done. 2953216 bytes written
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 3780 bytes read
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
[    0.000000] Linux version 3.6.11 (openwrt@snapon) (gcc version 4.6.4 20121106 (prerelease) (Linaro GCC 4.6-2012.11) ) #1 Fri Dec 21 17:52:45 PST 22
[    0.000000] CPU revision is: 00019749 (MIPS 74Kc)
[    0.000000] bcm47xx: using bcma bus
[    0.000000] bcma: bus0: Found chip with id 0xD144, rev 0x01 and package 0x08
[    0.000000] bcma: bus0: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x27, class 0x0)
[    0.000000] bcma: bus0: Core 3 found: MIPS 74K (manuf 0x4A7, id 0x82C, rev 0x05, class 0x0)
[    0.000000] bus0: Unsupported ST serial flash (id: 0x15, id2: 0x15)
[    0.000000] bcma: bus0: Early bus registered
[    0.000000] No supported flash found
[    0.000000] No supported flash found
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
[    0.000000] Primary instruction cache 32kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] __ex_table already sorted, skipping sort
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 28900k/32768k available (2573k kernel code, 3868k reserved, 542k data, 168k init, 0k highmem)
[    0.000000] NR_IRQS:128
[    0.032000] Calibrating delay loop... 149.50 BogoMIPS (lpj=299008)
[    0.032000] pid_max: default: 32768 minimum: 301
[    0.032000] Mount-cache hash table entries: 512
[    0.036000] NET: Registered protocol family 16
[    0.060000] bio: create slab <bio-0> at 0
[    0.068000] Switching to clocksource MIPS
[    0.076000] NET: Registered protocol family 2
[    0.080000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.080000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.080000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.080000] TCP: reno registered
[    0.080000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.080000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.080000] NET: Registered protocol family 1
[    0.084000] bcma: bus0: Core 1 found: IEEE 802.11 (manuf 0x4BF, id 0x812, rev 0x1C, class 0x0)
[    0.084000] bcma: bus0: Core 2 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x03, class 0x0)
[    0.084000] bcma: bus0: Core 4 found: SDR/DDR1 Memory Controller (manuf 0x4BF, id 0x835, rev 0x02, class 0x0)
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] Unsupported SPROM revision 0 detected. Will extract v1
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] bcma: bus0: Initializing MIPS core...
[    0.084000] bcma: bus0: set_irq: core 0x0812, irq 3 => 3
[    0.084000] bcma: bus0: set_irq: core 0x082d, irq 4 => 4
[    0.084000] bcma: bus0: IRQ reconfiguration done
[    0.084000] bcma: core 0x0800, irq : 2(S)* 3  4  5  6  D  I 
[    0.084000] bcma: core 0x082c, irq : 2(S)* 3  4  5  6  D  I 
[    0.084000] bcma: core 0x0812, irq : 2(S)  3* 4  5  6  D  I 
[    0.084000] bcma: core 0x082d, irq : 2(S)  3  4* 5  6  D  I 
[    0.088000] bcma: core 0x0835, irq : 2(S)* 3  4  5  6  D  I 
[    0.088000] bcma: bus0: Bus registered
[    0.092000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.092000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.092000] msgmni has been set to 56
[    0.096000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.096000] io scheduler noop registered
[    0.096000] io scheduler deadline registered (default)
[    0.096000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[    0.128000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 2) is a U6_16550A
[    0.776000] console [ttyS0] enabled
[    0.788000] bcm47xx-wdt bcm47xx-wdt.0: BCM47xx Watchdog Timer enabled (30 seconds)
[    0.796000] TCP: cubic registered
[    0.800000] NET: Registered protocol family 17
[    0.804000] Bridge firewalling registered
[    0.808000] 8021q: 802.1Q VLAN Support v1.8
[    0.816000] VFS: Cannot open root device "mtdblock2" or unknown-block(0,0): error -6
[    0.824000] Please append a correct "root=" boot option; here are the available partitions:
[    0.836000] Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)
Decompressing...done

comment:3 in reply to: ↑ 2 Changed 5 years ago by anonymous

  • Resolution too_vague deleted
  • Status changed from closed to reopened

Replying to oferchen@…:

OpenWRT (trunk 2012-12-23)

Init Arena
Init Devs.
Boot partition size = 131072(0x20000)
Found an ST compatible serial flash with 64 64KB blocks; total size 4MB
et0: Broadcom BCM47XX 10/100/1000 Mbps Ethernet Controller 5.100.138.9
CPU type 0x19749: 300MHz
Tot mem: 32768 KBytes

CFE mem:    0x80700000 - 0x80798090 (622736)
Data:       0x8072DEF0 - 0x80731110 (12832)
BSS:        0x80731110 - 0x80732090 (3968)
Heap:       0x80732090 - 0x80796090 (409600)
Stack:      0x80796090 - 0x80798090 (8192)
Text:       0x80700000 - 0x8072DEE4 (188132)

Device eth0:  hwaddr 90-94-E4-B3-D5-66, ipaddr 192.168.0.1, mask 255.255.255.0
        gateway not set, nameserver not set

Loader:raw Filesys:tftp Dev:eth0 File:: Options:(null)
Loading: ... 2953216 bytes read
Entry at 0x80798090
Reading from 0x80798090: Programming...done. 2953216 bytes written
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 3780 bytes read
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
[    0.000000] Linux version 3.6.11 (openwrt@snapon) (gcc version 4.6.4 20121106 (prerelease) (Linaro GCC 4.6-2012.11) ) #1 Fri Dec 21 17:52:45 PST 22
[    0.000000] CPU revision is: 00019749 (MIPS 74Kc)
[    0.000000] bcm47xx: using bcma bus
[    0.000000] bcma: bus0: Found chip with id 0xD144, rev 0x01 and package 0x08
[    0.000000] bcma: bus0: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x27, class 0x0)
[    0.000000] bcma: bus0: Core 3 found: MIPS 74K (manuf 0x4A7, id 0x82C, rev 0x05, class 0x0)
[    0.000000] bus0: Unsupported ST serial flash (id: 0x15, id2: 0x15)
[    0.000000] bcma: bus0: Early bus registered
[    0.000000] No supported flash found
[    0.000000] No supported flash found
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
[    0.000000] Primary instruction cache 32kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] __ex_table already sorted, skipping sort
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 28900k/32768k available (2573k kernel code, 3868k reserved, 542k data, 168k init, 0k highmem)
[    0.000000] NR_IRQS:128
[    0.032000] Calibrating delay loop... 149.50 BogoMIPS (lpj=299008)
[    0.032000] pid_max: default: 32768 minimum: 301
[    0.032000] Mount-cache hash table entries: 512
[    0.036000] NET: Registered protocol family 16
[    0.060000] bio: create slab <bio-0> at 0
[    0.068000] Switching to clocksource MIPS
[    0.076000] NET: Registered protocol family 2
[    0.080000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.080000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.080000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.080000] TCP: reno registered
[    0.080000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.080000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.080000] NET: Registered protocol family 1
[    0.084000] bcma: bus0: Core 1 found: IEEE 802.11 (manuf 0x4BF, id 0x812, rev 0x1C, class 0x0)
[    0.084000] bcma: bus0: Core 2 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x03, class 0x0)
[    0.084000] bcma: bus0: Core 4 found: SDR/DDR1 Memory Controller (manuf 0x4BF, id 0x835, rev 0x02, class 0x0)
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] Unsupported SPROM revision 0 detected. Will extract v1
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] No supported flash found
[    0.084000] bcma: bus0: Initializing MIPS core...
[    0.084000] bcma: bus0: set_irq: core 0x0812, irq 3 => 3
[    0.084000] bcma: bus0: set_irq: core 0x082d, irq 4 => 4
[    0.084000] bcma: bus0: IRQ reconfiguration done
[    0.084000] bcma: core 0x0800, irq : 2(S)* 3  4  5  6  D  I 
[    0.084000] bcma: core 0x082c, irq : 2(S)* 3  4  5  6  D  I 
[    0.084000] bcma: core 0x0812, irq : 2(S)  3* 4  5  6  D  I 
[    0.084000] bcma: core 0x082d, irq : 2(S)  3  4* 5  6  D  I 
[    0.088000] bcma: core 0x0835, irq : 2(S)* 3  4  5  6  D  I 
[    0.088000] bcma: bus0: Bus registered
[    0.092000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.092000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.092000] msgmni has been set to 56
[    0.096000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.096000] io scheduler noop registered
[    0.096000] io scheduler deadline registered (default)
[    0.096000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[    0.128000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 2) is a U6_16550A
[    0.776000] console [ttyS0] enabled
[    0.788000] bcm47xx-wdt bcm47xx-wdt.0: BCM47xx Watchdog Timer enabled (30 seconds)
[    0.796000] TCP: cubic registered
[    0.800000] NET: Registered protocol family 17
[    0.804000] Bridge firewalling registered
[    0.808000] 8021q: 802.1Q VLAN Support v1.8
[    0.816000] VFS: Cannot open root device "mtdblock2" or unknown-block(0,0): error -6
[    0.824000] Please append a correct "root=" boot option; here are the available partitions:
[    0.836000] Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)
Decompressing...done

comment:4 Changed 5 years ago by anonymous

Please add target because all new dir-615 are K2 variant
it uses a similar pcb to cisco e900

comment:5 Changed 5 years ago by hauke

  • Resolution set to fixed
  • Status changed from reopened to closed

Please try a new version, the bug in the serial flash driver detection was fixed some months ago.

comment:6 Changed 5 years ago by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened

please add a new target platform source code from dlink is here
https://www.dropbox.com/s/3t60yir0pcldk8v/gpl_DIR_615K2.tar.gz

comment:7 Changed 5 years ago by jow

  • Resolution set to invalid
  • Status changed from reopened to closed

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.